---
search:
  tags:
    - Challenges
    - PUT
seo:
  description: >-
    Replace a challenge's flag. Reference for the PUT
    /api/admin/challenges/{id}/flag endpoint in the Athena Jeopardy Admin API.
sidebar:
  label: Replace a challenge's flag
  badge: PUT
title: Replace a challenge's flag
type: openapi-operation
---
`PUT /api/admin/challenges/{id}/flag`

**Request body** (`application/json`, required)

Request body example:

```json
{
  "kind": "static",
  "flagContent": "string",
  "caseSensitive": false
}
```

**Responses**

- `200` — Success
- `400` — Bad request
- `401` — Unauthorized
- `404` — Not found
- `422` — Validation failed
- `500` — Unhandled server error

Response example, 200:

```json
{
  "ok": true,
  "kind": "static"
}
```
